#include "Frm01.h"

Frm01::Frm01(HmiApp* app, STTWidget *par, const string& id, const string& desc) : STTPage(app->getRuntime(), par, id, desc) {
	hmiApp = app;
}

Frm01::~Frm01() {
}

void Frm01::onInit(){

}

void Frm01::createParts() {
	setMainArg(0, 0, 480, 272);
	setMainStyle(0, 0x408080, 0xffffff, 0, 255, 0, 0xc0c0c0);

	/*----------------------------- TextNumber : wMTextNumber83          -----------------------------*/
	wMTextNumber83 = new STTTextArea(p_rt, this, "wMTextNumber83");
	wMTextNumber83->setMainArg(300, 136, 132, 39, false, true, TextAlign::CENTER, -1, -1, -99999999, 99999999, false);
	wMTextNumber83->setMainStyle(0, 0xffffff, 0xffffff, 0, 2, 0xc0c0c0, 9, 0, 4, 4, 255);
	wMTextNumber83->setPlaceholderText("")->setMaxLength(0)->setAcceptedChars("")->setImeMode(IME::DIGITAL);
	wMTextNumber83->setFont(0x0, 16, "文泉驿微米黑", 0);
	wMTextNumber83->setText("8888");

	/*----------------------------- TextNumber : wMTextNumber86          -----------------------------*/
	wMTextNumber86 = new STTTextArea(p_rt, this, "wMTextNumber86");
	wMTextNumber86->setMainArg(31, 9, 132, 39, false, true, TextAlign::CENTER, -1, -1, -99999999, 99999999, false);
	wMTextNumber86->setMainStyle(0, 0xffffff, 0xffffff, 0, 2, 0xc0c0c0, 9, 0, 4, 4, 255);
	wMTextNumber86->setPlaceholderText("")->setMaxLength(0)->setAcceptedChars("")->setImeMode(IME::DIGITAL);
	wMTextNumber86->setFont(0x0, 16, "文泉驿微米黑", 0);
	wMTextNumber86->setText("8888");

	/*----------------------------- TextNumber : wMTextNumber87          -----------------------------*/
	wMTextNumber87 = new STTTextArea(p_rt, this, "wMTextNumber87");
	wMTextNumber87->setMainArg(177, 9, 132, 39, false, true, TextAlign::CENTER, -1, -1, -99999999, 99999999, false);
	wMTextNumber87->setMainStyle(0, 0xffffff, 0xffffff, 0, 2, 0xc0c0c0, 9, 0, 4, 4, 255);
	wMTextNumber87->setPlaceholderText("")->setMaxLength(0)->setAcceptedChars("")->setImeMode(IME::DIGITAL);
	wMTextNumber87->setFont(0x0, 16, "文泉驿微米黑", 0);
	wMTextNumber87->setText("8888");

	/*----------------------------- Bar : wMBar14                        -----------------------------*/
	wMBar14 = new STTBar(p_rt, this, "wMBar14");
	wMBar14->setMainArg(39, 75, 34, 184, 50, 0, 100);
	wMBar14->setMainStyle(0, 0xa0a0a0, 0xffffff, GradDir::NONE, 0, 0xa0a0a0, 0, 0x0);
	wMBar14->setIndicStyle(0, 0x1a2b1, 0xff00, 2, 0, 0x1a2b1);

	/*----------------------------- Arc : wMArc2                         -----------------------------*/
	wMArc2 = new STTArc(p_rt, this, "wMArc2");
	wMArc2->setMainArg(97, 87, 172, 172, 50, 0, 1000, 135, 405);
	wMArc2->setMainStyle(9999, 0xffffff, 0xffffff, 0, 0, 0, 0xffffff, 32, 0xff, true, "");
	wMArc2->setIndicStyle(0xffff00, true, 32, "");
	wMArc2->setKnobStyle(true, 0, 0xffffff, 0xffffff, 0, 0x1a2b1, 0, 9999, "./images/img1764147174_32X32R9999.png");

	/*called after widget created.*/

	return; //createParts END
}

void Frm01::onLoad(){
}

bool Frm01::onClosing(){
	return true;
}

void Frm01::onDispose(){
}
